<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('order_compagnie_items', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('order_compagnie_id');
            $table->unsignedBigInteger('material_id');
            $table->string('unit');
            $table->integer('quantity');
            $table->decimal('unit_price', 10, 2);
            $table->decimal('total_amount', 10, 2);
            $table->timestamps();

            // Définir la clé étrangère pour order_compagnie_id et material_id
            $table->foreign('order_compagnie_id')->references('id')->on('order_compagnies')->onDelete('cascade');
            $table->foreign('material_id')->references('id')->on('materials')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('order_compagnie_items');
    }
};
