{{ Form::open(['route' => 'material.store', 'method' => 'POST', 'class' => 'needs-validation', 'novalidate', 'enctype' => 'multipart/form-data']) }}
<div class="modal-body">
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('supplier_id', __('Supplier'), ['class' => 'form-label']) }}
                {{ Form::select('supplier_id', $suppliers, null, ['class' => 'form-control', 'placeholder' => __('Select Supplier'), 'required' => 'required']) }}
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('Nom_Materiel', __('Material Name'), ['class' => 'form-label']) }}
                {{ Form::text('Nom_Materiel', '', ['class' => 'form-control', 'placeholder' => __('Enter Material Name'), 'required' => 'required']) }}
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('ref', __('Reference'), ['class' => 'form-label']) }}
                {{ Form::text('ref', '', ['class' => 'form-control', 'placeholder' => __('Enter Reference'), 'required' => 'required']) }}
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('a_price', __('Price'), ['class' => 'form-label']) }}
                {{ Form::number('a_price', '', ['class' => 'form-control', 'step' => '0.01', 'placeholder' => __('Enter Price'), 'required' => 'required']) }}
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('unit', __('Unit of Measurement'), ['class' => 'form-label']) }}
                {{ Form::select('unit', [
                    'kg' => 'Kilogramme (kg)', 
                    'g' => 'Gramme (g)', 
                    'mg' => 'Milligramme (mg)', 
                    'l' => 'Litre (l)', 
                    'ml' => 'Millilitre (ml)', 
                    'm' => 'Mètre (m)', 
                    'cm' => 'Centimètre (cm)', 
                    'mm' => 'Millimètre (mm)', 
                    'sac' => 'Sac', 
                    'pot' => 'Pot', 
                    'boite' => 'Boîte', 
                    'paquet' => 'Paquet', 
                    'piece' => 'Pièce', 
                    'palette' => 'Palette', 
                    'tonne' => 'Tonne (t)', 
                    'oz' => 'Once (oz)', 
                    'yard' => 'Yard', 
                    'mile' => 'Mile', 
                    'ft' => 'Pied (ft)', 
                    'inch' => 'Pouce (inch)', 
                    'm2' => 'Mètre carré (m²)', 
                    'm3' => 'Mètre cube (m³)',
                    'km' => 'Kilomètre (km)', 
                    'h' => 'Heure (h)', 
                    'min' => 'Minute (min)', 
                    'sec' => 'Seconde (sec)'
                ], null, [
                    'class' => 'form-control select2', 
                    'placeholder' => __('Select Unit'), 
                    'required' => 'required'
                ]) }}
            </div>
        </div>
        
        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('photo', __('Material Photo'), ['class'=>'form-label']) }}
                {{ Form::file('photo', ['class' => 'form-control', 'accept' => 'image/*']) }}
            </div>
        </div>
    </div>
</div>

<div class="modal-footer">
    <input type="button" value="{{__('Cancel')}}" class="btn btn-secondary" data-bs-dismiss="modal">
    <input type="submit" value="{{__('Create')}}" class="btn btn-primary">
</div>
{{ Form::close() }}
<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select Unit",
            allowClear: true  
        });
    });
</script>
