{{ Form::model($material, array('route' => array('material.update', $material->id), 'method' => 'PUT','enctype' => "multipart/form-data", 'class'=>'needs-validation', 'novalidate')) }}
<div class="modal-body">
    {{-- start for ai module --}}
    @php
        $plan= \App\Models\Utility::getChatGPTSettings();
    @endphp
    @if($plan->chatgpt == 1)
    <div class="text-end">
        <a href="#" data-size="md" class="btn btn-primary btn-icon btn-sm" data-ajax-popup-over="true" data-url="{{ route('generate',['material']) }}"
           data-bs-placement="top" data-title="{{ __('Generate content with AI') }}">
            <i class="fas fa-robot"></i> <span>{{__('Generate with AI')}}</span>
        </a>
    </div>
    @endif
    {{-- end for ai module --}}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('Nom_Materiel', __('Material Name'),['class'=>'form-label']) }}<x-required></x-required>
                {{ Form::text('Nom_Materiel',null, array('class' => 'form-control','required'=>'required', 'placeholder' => __('Enter Material Name'))) }}
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('ref', __('Reference'),['class'=>'form-label']) }}<x-required></x-required>
                {{ Form::text('ref', null, array('class' => 'form-control','required'=>'required', 'placeholder' => __('Enter Reference'))) }}
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('a_price', __('Price'),['class'=>'form-label']) }}<x-required></x-required>
                {{ Form::number('a_price', null, array('class' => 'form-control','required'=>'required', 'placeholder' => __('Enter Price'), 'step' => '0.01')) }}
            </div>
        </div>

       

        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('supplier_id', __('Supplier'),['class'=>'form-label']) }}
                {{ Form::select('supplier_id', $suppliers, null, ['class' => 'form-control']) }}
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('unit', __('Unit of Measurement'), ['class' => 'form-label']) }}
                {{ Form::select('unit', [
                    'kg' => 'Kilogramme (kg)', 
                    'g' => 'Gramme (g)', 
                    'mg' => 'Milligramme (mg)', 
                    'l' => 'Litre (l)', 
                    'ml' => 'Millilitre (ml)', 
                    'm' => 'Mètre (m)', 
                    'cm' => 'Centimètre (cm)', 
                    'mm' => 'Millimètre (mm)', 
                    'sac' => 'Sac', 
                    'pot' => 'Pot', 
                    'boite' => 'Boîte', 
                    'paquet' => 'Paquet', 
                    'piece' => 'Pièce', 
                    'palette' => 'Palette', 
                    'tonne' => 'Tonne (t)', 
                    'oz' => 'Once (oz)', 
                    'yard' => 'Yard', 
                    'mile' => 'Mile', 
                    'ft' => 'Pied (ft)', 
                    'inch' => 'Pouce (inch)', 
                    'm2' => 'Mètre carré (m²)', 
                    'm3' => 'Mètre cube (m³)',
                    'km' => 'Kilomètre (km)', 
                    'h' => 'Heure (h)', 
                    'min' => 'Minute (min)', 
                    'sec' => 'Seconde (sec)'
                ], $material->unit, [
                    'class' => 'form-control select2', 
                    'placeholder' => __('Select Unit'), 
                    'required' => 'required'
                ]) }}
            </div>
        </div>

        
        <div class="col-md-6">
            <div class="form-group">
                {{ Form::label('photo', __('Material Photo'),['class'=>'form-label']) }}
                {{ Form::file('photo', ['class' => 'form-control', 'accept' => 'image/*']) }}
            </div>
        </div>

    </div>
</div>

<div class="modal-footer">
    <input type="button" value="{{__('Cancel')}}" class="btn btn-secondary" data-bs-dismiss="modal">
    <input type="submit" value="{{__('Update')}}" class="btn btn-primary">
</div>
{{ Form::close() }}

<script>
    document.getElementById('profile_image').onchange = function () {
        var src = URL.createObjectURL(this.files[0])
        document.getElementById('image').src = src
    }

    // Hide & show active/inactive
    $(document).on('click', '.active', function () {
        var activeStatus = $(this).val();
        if (activeStatus == '1') {
            // Logic for active status
        } else {
            // Logic for inactive status
        }
    });
</script>


<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: "Select Unit",
            allowClear: true  
        });
    });
</script>
