

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="my-4 text-primary">Détails de la Commande #<?php echo e($order->id); ?></h3>

    <div class="mb-3">
        <?php dump($order); ?>
        <strong>Fournisseur :</strong> <span class="text-muted"><?php echo e($order->supplier->name); ?></span><br>
        <strong>Total :</strong> <span class="font-weight-bold"><?php echo e(number_format($order->total_price, 2)); ?> MAD</span><br>
        <strong>Status :</strong> <?php echo e($order->status); ?><br>
        <strong>Validé par :</strong> <?php echo e($order->user ? $order->user->name : '-'); ?><br>
        <strong>Dernière validation/Annulation :</strong> <?php echo e($order->validated_at ? $order->validated_at->format('d/m/Y H:i') : '-'); ?><br>
    </div>

    <h5 class="my-4">Produits :</h5>
    <table class="table table-striped table-bordered">
        <thead class="thead-light">
            <tr>
                <th>Matériel</th>
                <th>Quantité</th>
                <th>Prix Unitaire</th>
                <th>Sous-total</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $order->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($detail->material->Nom_Materiel ?? 'Matériel supprimé'); ?></td>
                <td>
                    <form action="<?php echo e(route('order-details.update-quantity', $detail->id)); ?>" method="POST" class="d-inline">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <div class="input-group">
                            <input type="number" name="quantity" value="<?php echo e($detail->quantity); ?>" min="1" class="form-control form-control-sm" style="width: 10px; margin-right:10px;">
                            <div class="input-group-append">
                                <button type="submit" class="btn btn-sm btn-warning">
                                    <i class="fas fa-edit"></i> Modifier
                                </button>
                            </div>
                        </div>
                    </form>
                </td>
                <td><?php echo e(number_format($detail->unit_price, 2)); ?> MAD</td>
                <td><?php echo e(number_format($detail->subtotal, 2)); ?> MAD</td>
                <td>
                    <form action="<?php echo e(route('order-details.destroy', $detail->id)); ?>" method="POST" class="d-inline" onsubmit="return confirm('Êtes-vous sûr de vouloir supprimer ce produit ?')">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit" class="btn btn-sm btn-danger" data-toggle="tooltip" data-placement="top" title="Supprimer ce produit">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <div class="mb-3">
        <!-- Formulaire pour valider la commande -->
        <form action="<?php echo e(route('admin.orders.updateStatus', $order->id)); ?>" method="POST" class="d-inline">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <input type="hidden" name="status" value="validated">
            <button type="submit" class="btn btn-sm btn-success">
                <i class="fas fa-check-circle"></i> Valider la commande
            </button>
        </form>
    
        <!-- Bouton pour générer le PDF -->
        <a href="<?php echo e(route('admin.orders.generatePDF', $order->id)); ?>" class="btn btn-sm btn-danger ml-2">
            <i class="fas fa-file-pdf"></i> Générer PDF
        </a>
    </div>
    
    <a href="<?php echo e(route('admin.orders.index')); ?>" class="btn btn-secondary mt-3">
        <i class="fas fa-arrow-left"></i> Retour à la liste
    </a>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        // Initialisation des tooltips Bootstrap
        $(function () {
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\khaou\Downloads\codecanyon-33263426-erpgo-saas-all-in-one-business-erp-with-project-account-hrm-crm\codecanyon-33263426-erpgo-saas-all-in-one-business-erp-with-project-account-hrm-crm\main-file\resources\views/order_compagnie/show.blade.php ENDPATH**/ ?>