

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="card shadow mb-4">
        <div class="card-header py-3 d-flex justify-content-between align-items-center">
            <h6 class="m-0 font-weight-bold text-primary">Liste des Commandes</h6>
            <div class="d-flex justify-content-between align-items-center">
                <!-- Formulaire de filtrage -->
                <form action="<?php echo e(route('admin.orders.index')); ?>" method="GET" class="d-flex">
                    <select name="status" class="form-control form-control-sm" style="width: 150px;">
                        <option value="">Tous les statuts</option>
                        <option value="pending" <?php echo e(request('status') == 'pending' ? 'selected' : ''); ?>>Pending</option>
                        <option value="validated" <?php echo e(request('status') == 'validated' ? 'selected' : ''); ?>>Validated</option>
                        <option value="cancel" <?php echo e(request('status') == 'cancel' ? 'selected' : ''); ?>>Cancel</option>
                    </select>
                    <button type="submit" class="btn btn-primary btn-sm ml-2 ml-2">
                        <i class="fas fa-filter"></i>
                    </button>
                </form>
            
                <!-- Bouton Exporter -->
                <a href="#" class="btn btn-sm btn-secondary" style="margin-left: 10px">
                    <i class="fas fa-file-export"></i> Exporter
                </a>
            </div>
            
        </div>
        
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered table-hover">
                    <thead class="thead-light">
                        <tr>
                            <th>ID</th>
                            <th>Fournisseur</th>
                            <th>Total</th>
                            <th>Date Validation</th>
                            <th>Action</th>
                            <th>Validée/Annulée par</th>
                            <th>Details</th>

                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($order->id); ?></td>
                            <td><?php echo e($order->supplier->name); ?></td>
                            <td><?php echo e(number_format($order->total_price, 2)); ?> MAD</td>
                            <td>
                                <?php if($order->status === 'validated' || $order->status === 'cancel'): ?>
                                    <?php if($order->validated_at): ?>
                                        <?php echo e($order->validated_at->format('d/m/Y H:i')); ?>

                                    <?php else: ?>
                                        - 
                                    <?php endif; ?>
                                <?php else: ?>
                                    - 
                                <?php endif; ?>
                            </td>
                            
                            
                            <td>
                                <form action="<?php echo e(route('orders.updateStatus', $order->id)); ?>" method="POST" class="d-inline">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?>
                                    <select name="status" class="form-control form-control-sm" style="width: 150px;" onchange="this.form.submit()" id="statusSelect-<?php echo e($order->id); ?>">
                                        <option value="pending" <?php echo e($order->status == 'pending' ? 'selected' : ''); ?> style="color:yellow">Pending</option>
                                        <option value="validated" <?php echo e($order->status == 'validated' ? 'selected' : ''); ?> style="color:green">Validated</option>
                                        <option value="cancel" <?php echo e($order->status == 'cancel' ? 'selected' : ''); ?> style="color:red">Cancel</option>
                                    </select>
                                </form>
                            </td>
                            
                            
                            <td>
                                <?php if($order->status === 'validated' || $order->status === 'cancel' && $order->user): ?> 
                                    <span class="font-weight-bold"><?php echo e($order->user->name); ?></span>
                                    <small class="text-muted d-block"><?php echo e($order->user->email); ?></small>
                                <?php else: ?>
                                    -
                                <?php endif; ?>
                            </td>
                            <td>
                                <a href="<?php echo e(route('orders.details', $order->id)); ?>" class="btn btn-sm btn-info">
                                    <i class="fas fa-eye"></i> Voir les produits
                                </a>
                                
                                
                            </td>
                            
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            
            <div class="mt-4 d-flex justify-content-center">
                <?php echo e($orders->links()); ?>

            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>




<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\khaou\Downloads\codecanyon-33263426-erpgo-saas-all-in-one-business-erp-with-project-account-hrm-crm\codecanyon-33263426-erpgo-saas-all-in-one-business-erp-with-project-account-hrm-crm\main-file\resources\views/order_compagnie/index.blade.php ENDPATH**/ ?>