<?php $__env->startSection('page-title'); ?>
    <?php echo e(__('Manage Materials')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
    <li class="breadcrumb-item"><?php echo e(__('Materials')); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-btn'); ?>
    <div class="float-end">
        <a href="#" data-size="md"  data-bs-toggle="tooltip" title="<?php echo e(__('Import')); ?>" data-url="<?php echo e(route('productservice.file.import')); ?>" data-ajax-popup="true" data-title="<?php echo e(__('Import product CSV file')); ?>" class="btn btn-sm bg-brown-subtitle me-1">
            <i class="ti ti-file-import"></i>
        </a>
        <a href="<?php echo e(route('productservice.export')); ?>" data-bs-toggle="tooltip" title="<?php echo e(__('Export')); ?>" class="btn btn-sm btn-secondary me-1">
            <i class="ti ti-file-export"></i>
        </a>

        <a href="#" data-size="lg" data-url="<?php echo e(route('material.create')); ?>" data-ajax-popup="true" data-bs-toggle="tooltip" data-bs-original-title="<?php echo e(__('Create')); ?>" data-title="<?php echo e(__('Create New Product & Service')); ?>" class="btn btn-sm btn-primary">
            <i class="ti ti-plus"></i>
        </a>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="my-3 d-flex justify-content-end">
    <a href="<?php echo e(route('admin.orders.index')); ?>" class="btn btn-success me-2">Voir Produits Commandés</a>
</div>
<div class="mb-3 d-flex justify-content-end">
    <form action="<?php echo e(route('material.index')); ?>" method="GET" class="d-flex align-items-center">
        <select name="supplier_id" id="supplier_filter" class="form-select me-2" onchange="this.form.submit()">
            <option value=""><?php echo e(__('Tous les fournisseurs')); ?></option>
            <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($supplier->id); ?>" <?php echo e(request('supplier_id') == $supplier->id ? 'selected' : ''); ?>>
                    <?php echo e($supplier->name); ?>

                </option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </form>
</div>

    <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-4">
        <?php $__currentLoopData = $materials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $material): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col">
                <div class="card h-100 shadow-sm border-0 rounded-lg overflow-hidden">
                    <!-- Affichage de la photo en haut, taille d'image uniforme -->
                    <img src="<?php echo e(asset('storage/' . $material->photo)); ?>" class="card-img-top img-fluid" alt="<?php echo e($material->Nom_Materiel); ?>" 
                         style="object-fit: cover; width: 100%; height: 200px;" 
                         data-bs-toggle="tooltip" data-bs-placement="top" title="Référence : <?php echo e($material->ref); ?> - Fournisseur : <?php echo e($material->supplier->name); ?>">

                    <div class="card-body d-flex flex-column">
                        <!-- Nom du matériel -->
                        <h5 class="card-title text-truncate" 
                            data-bs-toggle="tooltip" data-bs-placement="top" 
                            title="Référence : <?php echo e($material->ref); ?> - Fournisseur : <?php echo e($material->supplier->name); ?>">
                            <?php echo e($material->Nom_Materiel); ?>

                        </h5>

                        <!-- Prix unitaire -->
                        <p class="card-text text-muted">Prix Unitaire : <?php echo e(number_format($material->a_price, 2)); ?> MAD</p>

                        <!-- Formulaire pour choisir la quantité et le bouton dans la même ligne -->
                        <div class="d-flex w-100 align-items-bottom">
                            <form action="<?php echo e(route('orderCompagnie.add')); ?>" method="POST" class="w-100 d-flex align-items-bottom">
                                <?php echo csrf_field(); ?>
                                <!-- Input pour choisir la quantité -->
                                <div class="mb-3 me-2" style="flex: 1;">
                                    <input type="number" class="form-control" id="quantity_<?php echo e($material->id); ?>" name="quantity" min="1" value="1" style="height: 38px;">
                                </div>
                            
                                <!-- Champ caché pour envoyer l'ID du matériel -->
                                <input type="hidden" name="material_id" value="<?php echo e($material->id); ?>">
                            
                                <!-- Bouton "Commander" -->
                                <button type="submit" class="btn btn-sm btn-success" data-bs-toggle="tooltip" title="<?php echo e(__('Order')); ?>" style="height: 38px; display: flex; align-items: center; justify-content: center; flex: 1;">
                                    <i class="ti ti-shopping-cart text-white"></i> <?php echo e(__('Commander')); ?>

                                </button>
                            </form>
                            
                            
                        </div>
                        
                        
                        
                        
                        
                        <!-- Autres actions (détails, édition, suppression) centrées sous la ligne de commande -->
                        <div class="d-flex justify-content-center mt-2">
                            <?php if(Gate::check('edit product & service') || Gate::check('delete product & service')): ?>
                                <div class="action-btn me-2">
                                    <a href="#" class="mx-3 btn btn-sm align-items-center bg-warning" data-url="<?php echo e(route('material.detail', $material->id)); ?>" data-ajax-popup="true" data-bs-toggle="tooltip" title="<?php echo e(__('Warehouse Details')); ?>" data-title="<?php echo e(__('Warehouse Details')); ?>">
                                        <i class="ti ti-eye text-white"></i>
                                    </a>
                                </div>
                                
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit product & service')): ?>
                                <div class="action-btn me-2">
                                    <a href="#" class="mx-3 btn btn-sm align-items-center bg-info" data-url="<?php echo e(route('material.edit', $material->id)); ?>" data-ajax-popup="true" data-size="lg" data-bs-toggle="tooltip" title="<?php echo e(__('Edit')); ?>" data-title="<?php echo e(__('Edit Product')); ?>">
                                        <i class="ti ti-pencil text-white"></i>
                                    </a>
                                </div>
                                <?php endif; ?>
                        
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete product & service')): ?>
                                <div class="action-btn">
                                    <?php echo Form::open(['method' => 'DELETE', 'route' => ['material.destroy', $material->id], 'id' => 'delete-form-' . $material->id]); ?>

                                    <a href="#" class="mx-3 btn btn-sm align-items-center bg-danger" data-bs-toggle="tooltip" title="<?php echo e(__('Delete')); ?>"><i class="ti ti-trash text-white"></i></a>
                                    <?php echo Form::close(); ?>

                                </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                        
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

    <!-- Pagination -->
    <div class="d-flex justify-content-center mt-4">
        <?php echo e($materials->links()); ?>

    </div>
<?php $__env->stopSection(); ?>

<script>
    // synchroniser les inputs
    document.addEventListener("DOMContentLoaded", () => {
        <?php $__currentLoopData = $materials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $material): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            document.getElementById("quantity_<?php echo e($material->id); ?>").addEventListener("input", function () {
                document.getElementById("form_quantity_<?php echo e($material->id); ?>").value = this.value;
            });
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    });
</script>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\khaou\Downloads\codecanyon-33263426-erpgo-saas-all-in-one-business-erp-with-project-account-hrm-crm\codecanyon-33263426-erpgo-saas-all-in-one-business-erp-with-project-account-hrm-crm\main-file\resources\views/material/index.blade.php ENDPATH**/ ?>